# std::__future_base::_Result< _Res & > Struct Template Reference
[Futures]

Partial specialization for reference types. More...

Inheritance diagram for std::__future_base::_Result< _Res & >:
[legend]

List of all members.

## Public Member Functions

- _Res & _M_get ()
- void _M_set (_Res &__res)

## Public Attributes

- exception_ptr _M_error

## Detailed Description

### template<typename _Res>
struct std::__future_base::_Result< _Res & >

Partial specialization for reference types.

Definition at line 455 of file future.

The documentation for this struct was generated from the following file:

- future